# Type alias BufferLike

BufferLike: string | Buffer | DataView | number | ArrayBufferView | Uint8Array | ArrayBuffer | SharedArrayBuffer | ReadonlyArray<any> | ReadonlyArray<number> | {
valueOf() => ArrayBuffer;
} | {
valueOf() => SharedArrayBuffer;
} | {
valueOf() => Uint8Array<ArrayBufferLike>;
} | {
valueOf() => readonly number[];
} | {
valueOf() => string;
} | {
[toPrimitive](hint) => string;
}

#### Type declaration

- ##### valueOf:function

  - valueOf(): ArrayBuffer

  - #### Returns ArrayBuffer

#### Type declaration

- ##### valueOf:function

  - valueOf(): SharedArrayBuffer

  - #### Returns SharedArrayBuffer

#### Type declaration

- ##### valueOf:function

  - valueOf(): Uint8Array<ArrayBufferLike>

  - #### Returns Uint8Array<ArrayBufferLike>

#### Type declaration

- ##### valueOf:function

  - valueOf(): readonly number[]

  - #### Returns readonly number[]

#### Type declaration

- ##### valueOf:function

  - valueOf(): string

  - #### Returns string

#### Type declaration

- ##### [toPrimitive]:function

  - [toPrimitive](hint): string

  - #### Parameters

    - ##### hint: string

    #### Returns string

Generated using TypeDoc